package com.qs.mp.common.enums;

import com.baomidou.mybatisplus.annotation.IEnum;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.Getter;

/**
 * 物流配送方式枚举类
 * @author Cup
 * @date 2022/4/19
 */
@ApiModel("物流配送方式枚举类")
public enum DeliverTypeEnum implements IEnum<Integer> {

    DELIVER(1,"快递"),

    NO_DELIVER(2, "无需物流");

    DeliverTypeEnum(int value, String desc) {
        this.value = value;
        this.desc = desc;
    }


    private final int value;

    private final String desc;

    @Override
    public Integer getValue() {
        return value;
    }

}
